# EMToolKit

[![Documentation Status](https://readthedocs.org/projects/emtoolkit/badge/?version=latest)](https://emtoolkit.readthedocs.io/en/latest/?badge=latest)

Welcome to the [EMToolKit](https://github.com/jeplowman/EMToolKit) repository, a suite of tools for computing Solar Differential Emission Measures (DEM) in Python. This toolkit is designed for photometric analysis and visualization, tailored for solar physics research and applications. Note that the github repo will be more up to date than the pypi package at any given time.

![Dashboard Preview](https://raw.githubusercontent.com/jeplowman/EMToolKit/refs/heads/main/dashboard.png)


## Documentation
- **Official Documentation**: [ReadTheDocs](https://emtoolkit.readthedocs.io/en/latest/?badge=latest)
- **Documentation Mirror**: [GitHub Pages](https://jeplowman.github.io/EMToolKit/)

## Installation
For installation instructions, please refer to the [Installation Guide](https://github.com/jeplowman/EMToolKit/blob/main/INSTALL.md). Following that, please use the [example gallery](https://emtoolkit.readthedocs.io/en/latest/examples/GALLERY_HEADER.html) to
see how to use the code.

## Contributing
To contribute to EMToolKit, please see the [contribute](https://github.com/jeplowman/EMToolKit/blob/main/CONTRIBUTE.md) file for details on how to get involved.

## License
This project is licensed under the BSD License. See the [LICENSE](https://github.com/jeplowman/EMToolKit/blob/main/LICENSE) file for more details.

## Troubleshooting
If you encounter any issues, please refer to the [issue tracker](https://github.com/jeplowman/EMToolKit/issues) or consult the [documentation](https://emtoolkit.readthedocs.io/en/latest/?badge=latest).
